## org.eclipse.datatools.modelbase.sql.constraints
Interface PrimaryKey

All Superinterfaces:
  Constraint, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ReferenceConstraint, SQLObject, TableConstraint, UniqueConstraint

All Known Subinterfaces:
  SybaseASABasePrimaryKey, SybaseASEPrimaryKey

All Known Implementing Classes:
  JDBCPrimaryKey, MySqlCatalogPrimaryKey, org.eclipse.datatools.modelbase.sql.constraints.impl.PrimaryKeyImpl, SybaseASABasePrimaryKeyImpl, SybaseASACatalogBasePrimaryKey, SybaseASECatalogPrimaryKey, SybaseASEPrimaryKeyImpl

    public interface PrimaryKey

extends UniqueConstraint

A representation of the model object 'Primary Key'. Reference: 5WD-02-Foundation-2002-12 4.17 Integrity constraints, Reference, 5WD-02-Foundation-2002-12 11.7 <unique contraint definition>

See Also:
  `SQLConstraintsPackage.getPrimaryKey()`

Method Summary

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.UniqueConstraint
`getForeignKey`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.ReferenceConstraint
`getMembers`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.TableConstraint
`getBaseTable, setBaseTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`